// MyProgress.h: interface for the CMyProgress class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_MYPROGRESS_H__6449E94F_3A3E_408C_84F0_689A6122746F__INCLUDED_)
#define AFX_MYPROGRESS_H__6449E94F_3A3E_408C_84F0_689A6122746F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

enum EJustify
{
	jus_min,
	jus_max,
	jus_center
};

class CMyProgress  
{
	public:
		HWND		hWndProgress;
		HWND		hWndParent;
		int			deltaX,deltaY;
		int			posX,posY;
		HINSTANCE	hInst;

		CMyString	text;
		EJustify	xJustify;
		EJustify	yJustify;
		COLORREF	rgbText;
		HFONT		hFont;

		COLORREF	rgbBackGround; 
		COLORREF	rgbBorderBackGround;

		COLORREF	rgbProgress;
		COLORREF	rgbBorderProgress;
		float		percent;

		BOOL		unknownProgress;
		int			indiceUnknown;
		float		percentUnknown;

	public:
		CMyProgress(HWND xhWndProgress);
		virtual ~CMyProgress();

		BOOL CreateControl (HCURSOR hCursor);
		void Set(float percent, char *text);
		void SetUnknown(float percentUnknown, char *text);
};

#endif // !defined(AFX_MYPROGRESS_H__6449E94F_3A3E_408C_84F0_689A6122746F__INCLUDED_)
