// dependance :  advapi32.lib

#if !defined(AFX_REGISTRE_H__E5A87928_D0D8_11D4_A7DF_00D04C390250__INCLUDED_)
#define AFX_REGISTRE_H__E5A87928_D0D8_11D4_A7DF_00D04C390250__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/* ***************************************************************************************
Example:

	CRegistre reg("Software\\PlayListManager","Options");
	reg.SetValue("Param1","value1");
*************************************************************************************** */

#define MAX_REGISTRY_SIZE 1024

class CMyRegistre  
{
	//
	// methode

	public:
		CMyRegistre (char *xnameKey);					// constructeur
		CMyRegistre (char *xpathKey,char *xnameKey);	// constructeur
		virtual ~CMyRegistre();							// destructeur

		BOOL GetValue (char *param,long *result);		// chargement d'un parametre
		BOOL GetValue (char *param,char *result);		// chargement d'un parametre
		BOOL GetValue (char *param , CMyString &result);
		BOOL SetValue (char *param,long value);			// sauvegarde d'un parametre
		BOOL SetValue (char *param,char *value);		// sauvegarde d'un parametre

		void BeginEnumKey ();
		BOOL NextEnumKey(char *result);

		void BeginEnumValue ();
		BOOL NextEnumValue (char *result);
		
	private:
		void Init();// appel par le constructeur

	//
	// variable interne

	private: 
		CMyString nameKey;
		CMyString pathKey;
		int m_numEnumValue;
		int m_numEnumKey;
};

#endif // !defined(AFX_REGISTRE_H__E5A87928_D0D8_11D4_A7DF_00D04C390250__INCLUDED_)
